#include <bits/stdc++.h>

using namespace std;

int main ()
{
    int n,a, b, c;
    cin>>n;
    int x[n];
    for(int i=0; i<n; i++)
    {
        cin>>x[i];
    }
    for(int i=0; i<n-1; i++)
    {
        cin>>a>>b;
    }
    int q;
    cin>>g;
    for(int i=0; i<q; i++)
    {
        cin>>a>>b>>c;
    }
    cout<<0;

    return 0;
}